commit 21a4f3eaca98c1c54bffcdf3926c631cec9c409d
Author: Maarten Lankhorst <maarten.lankhorst@canonical.com>
Date:   Wed Jan 30 16:55:27 2013 +0100

    radeon: bump version for release
    
    And fixup distcheck..
    
    Signed-off-by: Maarten Lankhorst <maarten.lankhorst@canonical.com>

commit 102ee4a24e4c9ba0c0b65d3ca8599dc7e0216c1e
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Fri Jan 11 09:52:32 2013 -0500

    radeon/r200: program RE_WIDTH_HEIGHT properly
    
    Values are inclusive.  Mesa already sets these
    correctly.  Also bump EXA/Xv limits from 2047 to
    2048.
    
    Signed-off-by: Alex Deucher <alexdeucher@gmail.com>

commit 47689ef8b878a56ea094e21a6090b228e67d605e
Author: Michel Dänzer <michel.daenzer@amd.com>
Date:   Fri Jan 11 15:41:48 2013 +0100

    Make radeon_glamor_create_textured_pixmap() return TRUE without USE_GLAMOR.
    
    Otherwise rotation won't work when glamor support isn't built in.
    
    Signed-off-by: Michel Dänzer <michel.daenzer@amd.com>

commit 1a8c05fd5559be842d8a038df73de34d4b261c15
Author: Michel Dänzer <michel.daenzer@amd.com>
Date:   Fri Jan 11 13:22:24 2013 +0100

    Make CRTC shadow pixmaps usable by glamor.
    
    Fixes rotation with glamor.
    
    Signed-off-by: Michel Dänzer <michel.daenzer@amd.com>

commit e5e22d788b103c04d3460a221a3b9dc3be69e0a4
Author: Michel Dänzer <michel.daenzer@amd.com>
Date:   Thu Jan 10 17:00:16 2013 +0100

    DRI2/r[345]xx: 16 bit depth buffers use square micro tiling.
    
    Fixes piglit sanity.tests (with 3D drivers which allocate depth buffers from
    the X server).
    
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>
    Signed-off-by: Michel Dänzer <michel.daenzer@amd.com>

commit f5d2682584c74587890a9795ece7a8917214a83f
Author: Michel Dänzer <michel.daenzer@amd.com>
Date:   Thu Jan 10 17:00:15 2013 +0100

    DRI2: Properly use buffer depth passed in by client.
    
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>
    Signed-off-by: Michel Dänzer <michel.daenzer@amd.com>

commit 4e35b2f530e2ca8c7b7220cacd05c661de43d20d
Author: Michel Dänzer <michel.daenzer@amd.com>
Date:   Thu Jan 10 12:10:52 2013 +0100

    Drop support for X servers older than 1.7.
    
    The main purpose is to drop DRI2 compatibility code paths which are getting
    awkward to deal with and at this point are probably only tested lightly if at
    all. xserver 1.7 was released more than 3 years ago, and 1.6.2 was already
    required before.
    
    Mostly mechanical, there's probably potential for more cleanups.
    
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>
    Signed-off-by: Michel Dänzer <michel.daenzer@amd.com>

commit 857d729eb3672443f89c0516f8226eacb37dad2b
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jan 7 14:13:33 2013 +1000

    radeon: fix damage reporting for slave pixmaps
    
    This is definitely more correct, not sure if it'll fix any bugs.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 6981a5c087165b126c15ba0025cffdba218ab652
Author: Ilija Hadzic <ihadzic@research.bell-labs.com>
Date:   Wed Dec 19 10:35:43 2012 -0500

    DRI2: limit the swap rate when CRTC is in DPMS-off state
    
    If drawable is displayed on a CRTC and relevant CRTC is in
    DPMS off state, defer the swap by a fixed (hard-coded) time.
    
    This patch fixes a bug that caused an application to render
    at uncontrolled rate when CRTC goes into DPMS "off" state,
    thus thrashing the GPU and CPU and likely offsetting the
    power savings achieved by shutting off the display.
    
    Signed-off-by: Ilija Hadzic <ihadzic@research.bell-labs.com>
    Reviewed-by: Michel Dänzer <michel.daenzer@amd.com>

commit 3657672207322be651cdb94a811337b7c5668c84
Author: Ilija Hadzic <ihadzic@research.bell-labs.com>
Date:   Wed Dec 19 10:35:42 2012 -0500

    DRI2: change signature of radeon_dri2_drawable_crtc
    
    Return pointer to the CRTC instead of CRTC ID and expose
    consider_disabled option in arguments of this function.
    
    Signed-off-by: Ilija Hadzic <ihadzic@research.bell-labs.com>
    Reviewed-by: Michel Dänzer <michel.daenzer@amd.com>

commit 61d0aec40e2521488c2fe43e7a6823e5c87d94d7
Author: Ilija Hadzic <ihadzic@research.bell-labs.com>
Date:   Wed Dec 19 10:35:41 2012 -0500

    video: add option to include disabled CRTCs in best CRTC search
    
    This patch adds an option called consider_disabled to
    radeon_pick_best_crtc function. If this option is set
    and searching for best-fit CRTC yields nothing, the search
    will be widened to include CRTCs in DPMS "off" state.
    The new option is not used yet; it will be in the patches
    to follow.
    
    v2: Do not look at the CRTC mode, we only care about its box.
    
    Signed-off-by: Ilija Hadzic <ihadzic@research.bell-labs.com>
    Reviewed-by: Michel Dänzer <michel.daenzer@amd.com>

commit a60d2152e928a7011fc7c44a885a34c3cdd4f0fe
Author: Michel Dänzer <michel.daenzer@amd.com>
Date:   Thu Dec 27 12:13:57 2012 +0100

    glamor: Enable full 2D acceleration for SI as well.
    
    Signed-off-by: Michel Dänzer <michel.daenzer@amd.com>

commit 04ebe14fe775d18b534e89b50b90ee293ae1910e
Author: Michel Dänzer <michel.daenzer@amd.com>
Date:   Thu Dec 27 11:54:27 2012 +0100

    glamor: Release the drawable after passing to glamor_push_pixels
    
    Ported from xf86-video-intel commit ca5c028c2b4d9bf02002acd484054fe427ea8d09 .
    
    Signed-off-by: Michel Dänzer <michel.daenzer@amd.com>

commit cee7d61b144162974238b282d76a70aa2f14cc0d
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Tue Dec 18 15:49:47 2012 -0500

    exa/Xv: fix coordinate limits on AVIVO IGPs
    
    RS6xx asics are r4xx derived, but seem to have r3xx
    limitations as far as clipping is concerned. Spotted
    by Michel on IRC.
    
    Fixes:
    https://bugs.freedesktop.org/show_bug.cgi?id=58469
    
    Signed-off-by: Alex Deucher <alexdeucher@gmail.com>

commit 3c7d024c2671dac541b8f2daed55040f4fd5d62d
Author: Michel Dänzer <michel.daenzer@amd.com>
Date:   Wed Dec 12 10:43:55 2012 +0100

    Remove dead option definitions.
    
    These were only used with UMS.
    
    Signed-off-by: Michel Dänzer <michel.daenzer@amd.com>

commit bdbd84a6c99943f4e012c92ad9cb920cbd676621
Author: Michel Dänzer <michel.daenzer@amd.com>
Date:   Mon Dec 10 23:35:41 2012 +0100

    Remove local variables total_size_bytes.
    
    Not actually used for anything. Refactoring gone wrong?
    
    Also remove a comment that doesn't seem to make sense anymore.
    
    Stumbled over this due to a warning by clang:
    
    ../../src/radeon_kms.c:1562:6: warning: variable 'total_size_bytes' is uninitialized when used here [-Wuninitialized]
                total_size_bytes += (64 * 4 * 64);
                ^~~~~~~~~~~~~~~~
    ../../src/radeon_kms.c:1557:25: note: initialize the variable 'total_size_bytes' to silence this warning
        int total_size_bytes;
                            ^
                             = 0
    
    Reviewed-by: Alex Deucher <aleander.deucher@amd.com>
    Signed-off-by: Michel Dänzer <michel.daenzer@amd.com>

commit cf0a81547bcde32bdd2b080c0a546a49dd2eb628
Author: Michel Dänzer <michel.daenzer@amd.com>
Date:   Tue Dec 11 11:48:33 2012 +0100

    Remove unused local variable 'path'.
    
    ../../src/radeon_probe.c: In function 'radeon_platform_probe':
    ../../src/radeon_probe.c:270:11: error: unused variable 'path' [-Werror=unused-variable]
    
    Reviewed-by: Alex Deucher <aleander.deucher@amd.com>
    Signed-off-by: Michel Dänzer <michel.daenzer@amd.com>

commit d268038a5bdd1655f7533c8dd2edf74fbc82bbee
Author: Michel Dänzer <michel.daenzer@amd.com>
Date:   Mon Jul 2 09:07:14 2012 +0200

    Remove dead code flagged by gcc -Wunused-but-set-variable.
    
    Reviewed-by: Alex Deucher <aleander.deucher@amd.com>
    Signed-off-by: Michel Dänzer <michel.daenzer@amd.com>

commit 793e1b0ea579cce7489aee57a95f20384d6ecce8
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Thu Dec 6 09:21:19 2012 -0500

    radeon: fix ring count in R300PrepareTexturedVideo
    
    Fixes:
    https://bugs.freedesktop.org/show_bug.cgi?id=31364
    
    Signed-off-by: Alex Deucher <alexdeucher@gmail.com>

commit f402805b22e4f4f735924d59c69474b24e623a25
Author: Jerome Glisse <jglisse@redhat.com>
Date:   Fri Nov 30 10:07:51 2012 -0500

    radeon: avoid copying over itself ddx fb
    
    In some rare case it seems that the old fb could already be the
    ddx fb. As copying from the same bo will trigger a ttm deadlck
    detection which will result in infinite kernel/userspace loop.
    Avoid doing any copy as anyway it's useless.
    
    Signed-off-by: Jerome Glisse <jglisse@redhat.com>
    Reviewed-by: Michel Dänzer <michel.daenzer@amd.com>

commit 60cd6ceaf44b506433aebf6b3a639a17604dfddd
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Wed Nov 21 18:42:56 2012 -0500

    radeon: add new SI pci id
    
    Signed-off-by: Alex Deucher <alexdeucher@gmail.com>

commit 53af6aa99dfb67b5223c28d5129a79694165048d
Author: Jerome Glisse <jglisse@redhat.com>
Date:   Wed Nov 14 12:15:47 2012 -0500

    radeon: avoid segfault when pixmap exceed GPU capabilities
    
    We might get a request for a pixmap/drawable that is too big
    for GPU capabilities in the dri2 get buffer path. In face of
    such things just return NULL to dri2 get buffer request. The
    GL driver should then use something like transparent black to
    avoid something too ugly on the screen.
    
    Signed-off-by: Jerome Glisse <jglisse@redhat.com>
    Reviewed-by: Michel Dänzer <michel.daenzer@amd.com>

commit 71eeb0833489ece745f1e5dc41379ec63161ee81
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Tue Nov 6 09:43:55 2012 -0500

    bump verion post release
    
    Signed-off-by: Alex Deucher <alexdeucher@gmail.com>

commit cf377c991f4c1cd4eee1a8530ba9fdf6f9f63301
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Tue Nov 6 09:12:39 2012 -0500

    radeon: bump version for release
    
    7.0.0, RIP UMS
    
    Signed-off-by: Alex Deucher <alexdeucher@gmail.com>

commit 20bfc652ce40008ea561db2984bccf137409c7fd
Author: Ilija Hadzic <ihadzic@research.bell-labs.com>
Date:   Mon Sep 24 17:19:09 2012 -0400

    radeon/radeon_platform_probe: fix Zaphod mode breakage
    
    Using radeon_platform_probe function breaks the Zaphod mode because
    it attempts to call xf86AddEntityToScreen multiple times, but nobody
    calls xf86SetEntityShared prior to that. Consequently, calls for all
    but first device instance fail.
    
    Prior to introduction of platform bus, the logic was that the Probe
    function would make the entity sharable, which would cause Xserver
    to later make it shared prior to adding it to screen. With the
    platform bus loading, add to screen happens in the probe
    function so we have to make it shared there.
    
    v2: do not make the entity shared if it was not previously marked
        sharable. Should fix:
    
        https://bugs.freedesktop.org/show_bug.cgi?id=56680
        https://bugs.freedesktop.org/show_bug.cgi?id=56663
    
    Signed-off-by: Ilija Hadzic <ihadzic@research.bell-labs.com>

commit b2807b53083af5db0b85645666b0127be16623c7
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Fri Nov 2 17:57:18 2012 -0400

    man: note that 2D tiling requires Mesa 9.0 or newer
    
    Signed-off-by: Alex Deucher <alexdeucher@gmail.com>

commit 1038e29162d869e2ce37f9b8f5f7c8ea37c3e53d
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Fri Nov 2 10:04:46 2012 -0400

    Revert "radeon/radeon_platform_probe: fix Zaphod mode breakage"
    
    This reverts commit 39eac3104c2f08b4d78aab3f88fd104301eb4711.
    
    This breaks non-zaphod configurations with xserver 1.13.
    See:
    https://bugs.freedesktop.org/show_bug.cgi?id=56680
    https://bugs.freedesktop.org/show_bug.cgi?id=56663

commit d748894c84e891662cde6d7a5748f74a5aa5175e
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Fri Nov 2 08:50:16 2012 -0400

    man: update man pages for trinity (ARUBA)
    
    Signed-off-by: Alex Deucher <alexdeucher@gmail.com>

commit 6740e8e90b934611c3bb0f9e8732d66e25b8c727
Author: Andreas Boll <andreas.boll.dev@gmail.com>
Date:   Fri Nov 2 13:30:44 2012 +0100

    radeon/man: ColorTiling2D is by default on for r6xx-cayman
    
    Signed-off-by: Andreas Boll <andreas.boll.dev@gmail.com>

commit 39eac3104c2f08b4d78aab3f88fd104301eb4711
Author: Ilija Hadzic <ihadzic@research.bell-labs.com>
Date:   Mon Sep 24 17:41:32 2012 -0400

    radeon/radeon_platform_probe: fix Zaphod mode breakage
    
    Using radeon_platform_probe function breaks the Zaphod mode because
    it attempts to call xf86AddEntityToScreen multiple times, but nobody
    calls xf86SetEntityShared prior to that. Consequently, calls for all
    but first device instance fail.
    
    Prior to introduction of platform bus, the logic was that the Probe
    function would make the entity sharable, which would cause Xserver
    to later make it shared prior to adding it to screen. With the
    platform bus loading, add to screen happens in the probe
    function so we have to make it shared there.
    
    Signed-off-by: Ilija Hadzic <ihadzic@research.bell-labs.com>

commit 2e96aa641bc8a5c263a5b643961383cdf530d044
Author: Marek Olšák <maraeo@gmail.com>
Date:   Sun Oct 28 12:50:49 2012 -0400

    radeon: turn on 2D tiling by default on r6xx-cayman
    
    Signed-off-by: Alex Deucher <alexdeucher@gmail.com>

commit e830c039479539735d0836082abef24f6841c803
Author: Marek Olšák <maraeo@gmail.com>
Date:   Sun Oct 28 12:49:15 2012 -0400

    radeon: log if 2D tiling is enabled
    
    Signed-off-by: Alex Deucher <alexdeucher@gmail.com>

commit ce1b745dcb60dc516ad999756240b78e72a7aa54
Author: Alex Deucher <alexander.deucher@amd.com>
Date:   Tue Oct 16 13:05:46 2012 -0400

    radeon: add new pci ids for SI
    
    Signed-off-by: Alex Deucher <alexander.deucher@amd.com>

commit e3519be285bdab50ef2193f98826a351a4414fae
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Oct 16 16:09:23 2012 +1000

    radeon/dri2: fix the window->pixmap math properly.
    
    Okay kwin did things different, and I really hope this time this is the
    correct transformation operation. It works here with gears under kwin
    and under mutter and under xcompmgr.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit bd9e2c064d93afbe4ab84febb2a43ae6a95ab17b
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Oct 11 14:36:11 2012 +1000

    radeon/dri2: fix damage reporting on pageflip
    
    when you use MPX or slave usb devices, the damage posting was incorrect,
    and resulted in misrendered boxes on the screen.
    
    Fix it by reporting damage correctly.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit e8cb0b721e6ea251f85c799ca0563bfa59a2d37c
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Sep 26 09:27:54 2012 -0400

    Remove mibstore.h
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 8637f772347c958fa3beea6c0dc9c22255db70e5
Author: Michel Dänzer <michel.daenzer@amd.com>
Date:   Thu Sep 13 19:50:35 2012 +0200

    glamor: Force acceleration for DRI2 copies.
    
    Improves performance of non-pageflipped 3D apps on SI.
    
    Signed-off-by: Michel Dänzer <michel.daenzer@amd.com>

commit 40b87f0e9db2642ca8a70e994fb4d3742e199640
Author: Michel Dänzer <michel.daenzer@amd.com>
Date:   Wed Sep 12 18:44:10 2012 +0200

    glamor: Fix DRI2 crash introduced by PRIME changes.
    
    Signed-off-by: Michel Dänzer <michel.daenzer@amd.com>

commit 646ffd49d2cf0d3130301e8ad2f49f620bd9ef1b
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Sep 10 15:31:06 2012 +1000

    radeon: fix build against old servers
    
    Fixes https://bugs.freedesktop.org/show_bug.cgi?id=54711
    
    Reported-by: wolput@onsneteindhoven.nl
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 7c7f2775604da61537c24c249884aaa220e06e13
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Sep 10 11:27:45 2012 +1000

    radeon: don't fail to load if we have no modes and gpu driver.
    
    This ensures radeon loads on output less GPUs as a GPU driver.
    
    There are server bugs that also need to be fixed.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 7fe16dd037ac688726869816888bd77fe4356f8e
Author: Dave Airlie <airlied@gmail.com>
Date:   Wed Sep 5 10:41:51 2012 +1000

    radeon: fix typo in glamor paths
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=54519
    
    Reported-By: scaty@dcinformatique.com
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit cdc985e9190ce54dc6274ebc0e87ab954b15bb0d
Author: Dave Airlie <airlied@gmail.com>
Date:   Tue Sep 4 18:18:50 2012 +1000

    radeon: fix build against older servers
    
    Another silly one.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit bd0e9c51407cb99f1fe4f0acfedc37ee0c354040
Author: Dave Airlie <airlied@gmail.com>
Date:   Tue Sep 4 18:17:06 2012 +1000

    radeon/dri2: fix build against older servers.
    
    Older servers won't have DRI2UpdatePrime, so fix build.
    
    bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=54433
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 75c1f62f44d7b3709c1fa103d59733866967b841
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Sep 3 13:09:02 2012 +1000

    radeon: add capability and provider support
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit ca8b61e916998458203dfa4b9d0c997fa7d90ba9
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Sep 3 13:08:37 2012 +1000

    radeon: allocated shared pixmaps as untiled gtt.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 8c1bf9d8fe3948b72795984e625ef46b2f0bf654
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Sep 3 13:08:05 2012 +1000

    radeon: add pixmap sharing hooks.
    
    This hooks into EXA and the dirty tracking to add sharing and output
    offload support.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 3add8df8122697acfe126d4857f3946ce44b8305
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Sep 3 13:07:07 2012 +1000

    radeon: add dri2 offload support.
    
    This adds the new dri2 interfaces required for radeon to be offloaded to.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit f7502a11c8ef9c453ceb40d26109977116df88c2
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Sep 3 12:56:56 2012 +1000

    radeon: add shared support to pixmaps.
    
    this just adds the interface and shared support to the pixmap.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit f71139a2afe8fffb628331402bf829a6d67c9fff
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Sep 3 12:37:22 2012 +1000

    radeon: add platform bus loading support.
    
    This allows the radeon driver to be loaded via the platform bus mechanism.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 9911e72ea79e000ee0492d19a434aa98b83b5066
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Aug 17 17:02:51 2012 +1000

    radeon: damage full screen after pageflip
    
    in order for offload to work we need to cause a full
    screen damage to be registered after pageflip.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 0873b8cef21abf1e7286731758f0db1e7f2e7c97
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Aug 3 16:45:50 2012 +1000

    ati: fix stub driver loader to load all drivers properly
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit cdf522f5992adf7b76f9153c777e6dddcf7758a6
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Aug 15 13:38:28 2012 -0400

    Implement ->driverFunc
    
    Copied from fbdev, makes it so we can run without iopl.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 763f387ccac2399f1d58ec112c8bed45196bea5e
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Aug 15 12:49:10 2012 -0400

    Don't bother to include vbe.h
    
    The only VBE code here went away when we dropped UMS.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit aabcf5ea30195274c79ae94c0fe6edc965f5c123
Author: Tomas Chvatal <tchvatal@suse.cz>
Date:   Mon Aug 13 22:58:18 2012 +0200

    Add switch for udev to disable automagic detection.
    
    Signed-off-by: Tomas Chvatal <tchvatal@suse.cz>

commit aef90993621331f01d17b95a751d4924d77eed0c
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Mon Aug 6 11:00:45 2012 -0400

    radeon: add some new SI pci ids
    
    Signed-off-by: Alex Deucher <alexdeucher@gmail.com>

commit 6ef1ad6a46348d3aecd8d1f5e94431ca2298853c
Author: Michel Dänzer <michel.daenzer@amd.com>
Date:   Fri Jul 13 11:15:25 2012 +0200

    Deal more gracefully with DRI2 being unavailable at build or run time.
    
    Signed-off-by: Michel Dänzer <michel.daenzer@amd.com>

commit ef8a404391036d8aa814dbda2407c789b8a64b92
Author: Michel Dänzer <michel.daenzer@amd.com>
Date:   Thu Jul 5 20:14:48 2012 +0200

    Initial SI support.
    
    Defaults to shadowfb. 3D acceleration is available with glamor. 2D
    acceleration is disabled until the radeonsi driver can handle glamor's
    shaders.
    
    v2: add chip flags (Alex Deucher)
    
    Signed-off-by: Michel Dänzer <michel.daenzer@amd.com>
    Signed-off-by: Alex Deucher <alexander.deucher@amd.com>

commit e9edd2f5002c642b59f028b3ec076d604ae8ce9d
Author: Michel Dänzer <michel.daenzer@amd.com>
Date:   Wed Jun 20 08:40:07 2012 +0200

    Initial glamor support.
    
    Enable at build time with --enable-glamor and runtime with
    
    	Option	"AccelMethod" "glamor"
    
    The most notable lack of functionality is XVideo. Use something like VDPAU for
    now.
    
    Signed-off-by: Michel Dänzer <michel.daenzer@amd.com>

commit 9eac8021f3d33a63156f9f5d43a220e88bb3f8db
Author: Michel Dänzer <michel.daenzer@amd.com>
Date:   Wed Jun 27 14:48:47 2012 +0200

    EXA: Factor out pixmap BO allocation into a helper function.
    
    Signed-off-by: Michel Dänzer <michel.daenzer@amd.com>

commit 060c7836e7f7777bacca4e23f57c5985beab33bc
Author: Michel Dänzer <michel.daenzer@amd.com>
Date:   Wed Jul 4 11:49:18 2012 +0200

    Some cosmetic fixups for the radeon manpage.
    
    ATI -> ATI/AMD
    PCIE -> PCIe
    
    Signed-off-by: Michel Dänzer <michel.daenzer@amd.com>

commit c3a9f64fe40c78331b9340c3832d344f38b11564
Author: Michel Dänzer <michel.daenzer@amd.com>
Date:   Wed Jul 4 11:46:30 2012 +0200

    Drop UMS specific parts from the radeon manpage.
    
    Signed-off-by: Michel Dänzer <michel.daenzer@amd.com>

commit 5ebebfdb4fadada157d1369f35a8610c0fa72e02
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 29 15:03:43 2012 +0100

    radeon: fix conflict with fix in master.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit ff12ddf613ad42e4566d6e10fc6cf33a4e445736
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 29 15:00:44 2012 +0100

    configure: bump to 6.99.99
    
    this is in prep for 7.0 release.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 50689ec8dbd4a68527b2ac16cecac298b8d441d0
Merge: 6a60fcd ae682a6
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 29 14:59:47 2012 +0100

    Merge remote-tracking branch 'origin/kms-only'
    
    This merges the removal of the UMS code and subsequent simplifications.
    
    Hell yes.
    
    * origin/kms-only: (24 commits)
      radeon: fix radeonchipsets properly
      radeon: fix RADEONChipsets
      radeon: migrate remainder of radeon_driver.c to rest of driver
      radeon: avoid including large static struct twice.
      radeon: drop some more unused macros/inlines
      radeon: drop another unused struct member.
      radeon: more unused stuff
      radeon: drop cardType shouldn't matter to userspace.
      radeon: drop radeonGetPixmapOffset
      radeon: move more functions into texture video
      radeon: drop legacy memory, merge into radeon video
      radeon: drop unused txoffset vars.
      radeon: drop vb_mc_addr, not needed anymore
      radeon: drop offset member of r600 accel object
      radeon: move macros into radeon.h
      radeon: drop more wrapper macros.
      radeon: further macro cleanups.
      radeon: make exa copy funcs static.
      radeon: drop FUNC_NAME macro and ONCE_ONLY stuff
      radeon: drop radeon_commonfuncs.
      ...
    
    Conflicts:
    	configure.ac

commit 6a60fcdf060a0f553d8d4f7939c2a05aa04bedfa
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 29 14:57:58 2012 +0100

    configure: bump version after release.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 008eb209d506ed7195fd544dfa91be9783946fd5
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 29 14:46:55 2012 +0100

    configure: bump version number to 6.14.6 pre-release
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 72fea2635a56c4f572c07fc50fc58f703a21eb4f
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 29 14:46:17 2012 +0100

    radeon: require libdrm 2.4.36 for KMS support.
    
    This is due to some commits to the surface manager that fix bugs.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 179b035835bfa99283d44ba2d5ee17e686196535
Author: Michel Dänzer <michel.daenzer@amd.com>
Date:   Wed Jun 27 19:26:51 2012 +0200

    Fix up displayWidth vs. virtualX confusion in radeon_setup_kernel_mem().
    
    It was using the pitch (displayWidth) for the virtual width (virtualX). This
    prevented using page flipping in some cases, as displayWidth was already
    overaligned for virtualX, so the DRI2 front and back buffers ended up having
    a different pitch.
    
    Signed-off-by: Michel Dänzer <michel.daenzer@amd.com>
    Reviewed-by: Jerome Glisse <jglisse@redhat.com>

commit 5dc5012320536f7b1e86a81ed3b823e3626828e1
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jun 25 09:23:04 2012 +0100

    radeon: dixPrivateKeyRegistered is only in server 1.9
    
    just fallback to the old behaviour on older servers.
    
    should fix: https://bugs.freedesktop.org/show_bug.cgi?id=51388
    Review-over-irc: Michel Dänzer <michel.daenzer@amd.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit ae682a6a1781ab023ab36e3154d6b3e88da63d64
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jun 18 13:11:31 2012 +0100

    radeon: fix radeonchipsets properly

commit 6514bcdc0fc199b4f3a8b4273bd29e0fe255d232
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jun 18 13:02:03 2012 +0100

    radeon: fix RADEONChipsets
    
    reported on irc by okias.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit dd4ab5aba9047d522dbcfe8a341c368312e1a471
Author: Dave Airlie <airlied@redhat.com>
Date:   Sat Jun 16 08:47:32 2012 +0100

    radeon: migrate remainder of radeon_driver.c to rest of driver
    
    This helps make a few more things static and the driver generally
    smaller.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit a19237fad2492d70777167c631f4e6e1fae0e908
Author: Dave Airlie <airlied@redhat.com>
Date:   Sat Jun 16 08:19:35 2012 +0100

    radeon: avoid including large static struct twice.
    
    Just extern this in the one file that needs access.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit c8a5c5a0dd9adc46b03b898c9c1719dbbde05ba1
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 15 19:52:14 2012 +0100

    radeon: drop some more unused macros/inlines
    
    These are no longer used anywhere.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 3097f273443b5b8fce097e2b1e09a17b02d06a40
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 15 19:45:15 2012 +0100

    radeon: drop another unused struct member.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit cb97e75acab84b67b7b7358860788638efc9b344
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 15 19:38:45 2012 +0100

    radeon: more unused stuff
    
    Remove all CurrentLayout stuff.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 81593e7deb688fa3108a0589c1418459ec0df4de
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 15 18:52:52 2012 +0100

    radeon: drop cardType shouldn't matter to userspace.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 997b0dddfeb180043ece5eff0ac0d6a1a751f9b5
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 15 18:43:01 2012 +0100

    radeon: drop radeonGetPixmapOffset
    
    no longer needed.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 639061edb3ac35a24e4d6633c9b6384434dcac64
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 15 18:38:48 2012 +0100

    radeon: move more functions into texture video
    
    make more thing static.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 85711a0a6a553232b603dbbb2b2d234c35391578
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 15 17:26:50 2012 +0100

    radeon: drop legacy memory, merge into radeon video
    
    This merges these two functions into textured video code.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 445ca1d66ce7b37762731fe67407cc1b978bb129
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 15 17:13:48 2012 +0100

    radeon: drop unused txoffset vars.
    
    These vars aren't being used anymore.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 832244de9e6d7aa1b8fbeb29c9a6a86923744d60
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 15 17:09:00 2012 +0100

    radeon: drop vb_mc_addr, not needed anymore
    
    This field is totally unused now, so drop it.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 6559b6e28bf111b64c3aeb5ec1260acfeb3e0b7f
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 15 17:05:54 2012 +0100

    radeon: drop offset member of r600 accel object
    
    This is always 0 now.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 857179e538c9752fab239a21312d0fcc80022151
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 15 16:55:23 2012 +0100

    radeon: move macros into radeon.h
    
    Drop separate header file, there isn't many separate macros now.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 148e889149f5ecc3dc2473f2a9e01572eeb037d3
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 15 16:52:24 2012 +0100

    radeon: drop more wrapper macros.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit ad8629e3323efe484dd1421d94dd934e1bfafe56
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 15 16:49:13 2012 +0100

    radeon: further macro cleanups.
    
    drop some more of the wrapper macros.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 96644f96f1a2df1d7d1ca8cbdc9a105affdb4f32
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 15 16:34:53 2012 +0100

    radeon: make exa copy funcs static.
    
    These are no longer used outside this area.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 83904b820b81d226940ec6d663246f243f92e7ba
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 15 16:30:41 2012 +0100

    radeon: drop FUNC_NAME macro and ONCE_ONLY stuff
    
    Drop all the CP vs MMIO macros that name functions.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit b422d8085aab4e01a1ac4ffb247c73fe51aafa0d
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 15 16:14:54 2012 +0100

    radeon: drop radeon_commonfuncs.
    
    modify all the macros and drop it into radeon_accel.c
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 29dd3f84eecd2892a438f004403521de8986a91d
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 15 16:11:03 2012 +0100

    radeon: misc cleanups.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 678c1f3425c0fa7e98795c8e351da77d04652e02
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 15 16:06:27 2012 +0100

    make pci chipsets static
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 95cbbe999418c72dc407069d31e759d70f49ab16
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 15 16:01:53 2012 +0100

    drop RING_LOCALS/ACCEL_PREAMBLE
    
    these were unused now.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>
